document.addEventListener('DOMContentLoaded', function() {
  const calculateBtn = document.getElementById('calculate');
  const phdSalaryInput = document.getElementById('phd-salary');
  const ofEarningsInput = document.getElementById('of-earnings');
  const phdYearsInput = document.getElementById('phd-years');
  const phdTotalSpan = document.getElementById('phd-total');
  const ofTotalSpan = document.getElementById('of-total');
  const decisionSpan = document.getElementById('decision');

  calculateBtn.addEventListener('click', function() {
    const phdSalary = parseFloat(phdSalaryInput.value);
    const ofEarnings = parseFloat(ofEarningsInput.value);
    const phdYears = parseFloat(phdYearsInput.value);

    const phdTotal = phdSalary * phdYears;
    const ofTotal = ofEarnings * 12 * phdYears;

    phdTotalSpan.textContent = `$${phdTotal.toLocaleString()}`;
    ofTotalSpan.textContent = `$${ofTotal.toLocaleString()}`;

    if (phdTotal > ofTotal) {
      decisionSpan.textContent = "Stick with the PhD!";
      decisionSpan.style.color = "#6a1b9a";
    } else if (ofTotal > phdTotal) {
      decisionSpan.textContent = "Go for OnlyFans!";
      decisionSpan.style.color = "#ff4081";
    } else {
      decisionSpan.textContent = "It's a tie!";
      decisionSpan.style.color = "#666";
    }
  });

  // Trigger initial calculation
  calculateBtn.click();
});